org.apache.jmeter.timers.poissonarrivals

## Class ConstantPoissonProcessGenerator

- java.lang.Object
- - org.apache.jmeter.timers.poissonarrivals.ConstantPoissonProcessGenerator

-     public class ConstantPoissonProcessGenerator
      extends java.lang.Object

  Generates events for Poisson processes, ensuring throughput*duration events will be present in each "duration"
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantPoissonProcessGenerator(org.apache.jmeter.timers.poissonarrivals.ThroughputProvider throughput, int batchSize, int batchThreadDelay, org.apache.jmeter.timers.poissonarrivals.DurationProvider duration, int exactLimit, double allowedThroughputSurplus, java.lang.Long seed, boolean logFirstSamples)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateNext()`
    `double` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantPoissonProcessGenerator

          public ConstantPoissonProcessGenerator(org.apache.jmeter.timers.poissonarrivals.ThroughputProvider throughput,
                                                 int batchSize,
                                                 int batchThreadDelay,
                                                 org.apache.jmeter.timers.poissonarrivals.DurationProvider duration,
                                                 int exactLimit,
                                                 double allowedThroughputSurplus,
                                                 java.lang.Long seed,
                                                 boolean logFirstSamples)

  - ### Method Detail

    - #### generateNext

          public void generateNext()

    - #### next

          public double next()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.